classification
Title: Unexpected success of test_get_type_hints_modules_forwardref in test_typing
Type: behavior Stage: resolved
Components: Tests Versions: Python 3.8, Python 3.7, Python 3.6
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: Nosy List: benjamin.peterson, levkivskyi, lukasz.langa, miss-islington, serhiy.storchaka
Priority: normal Keywords: patch

Created on 2018-06-03 15:52 by serhiy.storchaka, last changed 2019-06-11 16:52 by miss-islington. This issue is now closed.

Pull Requests
URL Status Linked Edit
PR 13977 merged benjamin.peterson, 2019-06-11 15:58
PR 13978 merged miss-islington, 2019-06-11 16:18
PR 13979 merged miss-islington, 2019-06-11 16:18
Messages (7)
msg318563 - (view) Author: Serhiy Storchaka (serhiy.storchaka) * (Python committer) Date: 2018-06-03 15:52
$ ./python -m test -v -m test_get_type_hints_modules_forwardref test_typing
...
test_get_type_hints_modules_forwardref (test.test_typing.GetTypeHintTests) ... unexpected success

----------------------------------------------------------------------
Ran 1 test in 0.001s

FAILED (unexpected successes=1)
msg318643 - (view) Author: Ivan Levkivskyi (levkivskyi) * (Python committer) Date: 2018-06-04 11:04
Oh yes, this is a "stateful" bug. It will not appear if run in isolation. Btw, the underlying bug will be worse with `from __future__ import annotations`, so it would make sense to fix this sooner than later.
msg345171 - (view) Author: Benjamin Peterson (benjamin.peterson) * (Python committer) Date: 2019-06-11 01:48
In particular, test_typing has an unexpected success if you run it after test___all__. It would be nice at least to change the expected fail to a skip, since it's so subtle.
msg345222 - (view) Author: Ivan Levkivskyi (levkivskyi) * (Python committer) Date: 2019-06-11 11:22
Likely, the unexpected success can be avoided with clearing generic caches in test___all__ (it just imports whatever it can find and likely also test/mod_generics_cache.py), but I am also fine with just skipping it for now. Will you have time to make a PR?
msg345250 - (view) Author: Benjamin Peterson (benjamin.peterson) * (Python committer) Date: 2019-06-11 16:18
New changeset 910b3fcb01c29f18ffd53086e36cd2cb9e5fae55 by Benjamin Peterson in branch 'master':
closes bpo-33758: Skip test_get_type_hints_modules_forwardref. (GH-13977)
https://github.com/python/cpython/commit/910b3fcb01c29f18ffd53086e36cd2cb9e5fae55
msg345252 - (view) Author: miss-islington (miss-islington) Date: 2019-06-11 16:38
New changeset 1c31d19e35172c7de1beec5c48a5b632d16385d9 by Miss Islington (bot) in branch '3.8':
closes bpo-33758: Skip test_get_type_hints_modules_forwardref. (GH-13977)
https://github.com/python/cpython/commit/1c31d19e35172c7de1beec5c48a5b632d16385d9
msg345253 - (view) Author: miss-islington (miss-islington) Date: 2019-06-11 16:52
New changeset fad89046e14b271b2eeb399f7c7b45131d65e5f2 by Miss Islington (bot) in branch '3.7':
closes bpo-33758: Skip test_get_type_hints_modules_forwardref. (GH-13977)
https://github.com/python/cpython/commit/fad89046e14b271b2eeb399f7c7b45131d65e5f2
History
Date User Action Args
2019-06-11 16:52:41miss-islingtonsetmessages: + msg345253
2019-06-11 16:38:12miss-islingtonsetnosy: + miss-islington
messages: + msg345252
2019-06-11 16:18:56miss-islingtonsetpull_requests: + pull_request13846
2019-06-11 16:18:47miss-islingtonsetpull_requests: + pull_request13845
2019-06-11 16:18:36benjamin.petersonsetstatus: open -> closed
resolution: fixed
messages: + msg345250

stage: patch review -> resolved
2019-06-11 15:58:35benjamin.petersonsetkeywords: + patch
stage: patch review
pull_requests: + pull_request13844
2019-06-11 11:22:44levkivskyisetmessages: + msg345222
2019-06-11 01:48:31benjamin.petersonsetnosy: + benjamin.peterson
messages: + msg345171
2019-06-10 22:33:32benjamin.petersonlinkissue36905 superseder
2018-06-04 11:04:06levkivskyisetnosy: + lukasz.langa
messages: + msg318643
2018-06-03 15:52:01serhiy.storchakacreate